<?php

/**
 * @file
 * Contains \Drupal\drd\Agent\Action\V7\Projects.
 */

namespace Drupal\drd\Agent\Action\V7;

/**
 * Provides a 'Projects' code.
 */
class Projects extends Base {
  /**
   * @inheritDoc
   */
  public function execute() {
    $projects = db_select('system', 's')
      ->fields('s', array('name', 'type', 'status', 'info'))
      ->execute()
      ->fetchAll();
    foreach ($projects as $project) {
      $project->info = unserialize($project->info);
    }

    $projects[] = array(
      'name' => 'drupal',
      'type' => 'core',
      'status' => 1,
      'info' => array(
        'core' => '7.x',
        'version' => VERSION,
        'project' => 'drupal',
        'hidden' => FALSE,
      ),
    );

    return $projects;
  }

}
