<?php

/**
 * @file
 * Contains \Drupal\drd\Agent\Auth\Base.
 */

namespace Drupal\drd\Agent\Auth;

/**
 * Base class for Remote DRD Auth Methods.
 */
abstract class Base implements BaseInterface {

  /** @var array $stored_settings */
  protected $stored_settings;

  /**
   * @inheritDoc
   */
  public static function getMethods($version) {
    $methods = array(
      'username_password' => 'UsernamePassword',
      'shared_secret' => 'SharedSecret',
    );
    foreach ($methods as $key => $class) {
      require_once DRD_BASE . "/Auth/V$version/$class.php";
      $classname = "\\Drupal\\drd\\Agent\\Auth\\V$version\\$class";
      $methods[$key] = new $classname;
    }
    return $methods;
  }

}
