<?php

/**
 * @file
 * Contains \Drupal\drd\Controller\Domain.
 */

namespace Drupal\drd\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Class Domain.
 *
 * @package Drupal\drd\Controller
 */
class Domain extends ControllerBase {
  /**
   * Return from remote after initially setting the configuration to then
   * retrieve core details and all other hosted domains.
   *
   * @var \Drupal\drd\Entity\DomainInterface $domain
   * @return \Symfony\Component\HttpFoundation\RedirectResponse
   */
  public function returnFromRemote($domain) {
    $core = $domain->getCore();
    $domain->set('installed', 1)->save();

    // Get info from remote
    $domain->initCore($core);

    // Get all remote domains
    $domain->retrieveAllDomains($core);

    return $this->redirect('entity.drd_core.canonical', ['drd_core' => $core->id()]);
  }

}
