<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\CoreInterface.
 */

namespace Drupal\drd\Entity;

/**
 * Provides an interface for defining Core entities.
 *
 * @ingroup drd
 */
interface CoreInterface extends BaseInterface {

  /**
   * @return string
   */
  public function getLangCode();

  /**
   * Gets the Core host.
   *
   * @return Host
   *   Host of the Core.
   */
  public function getHost();

  /**
   * Sets the Core drupal release.
   *
   * @param ReleaseInterface $release
   *   The Core drupal release.
   *
   * @return CoreInterface
   *   The called Core entity.
   */
  public function setDrupalRelease($release);

  /**
   * Gets the Core drupal release.
   *
   * @return ReleaseInterface
   *   Drupal release of the Core.
   */
  public function getDrupalRelease();

  /**
   * Sets the Core host.
   *
   * @param Host $host
   *   The Core host.
   *
   * @return CoreInterface
   *   The called Core entity.
   */
  public function setHost($host);

  /**
   * @param array $properties
   * @return DomainInterface[]
   */
  public function getDomains($properties = []);

  /**
   * @return Domain
   */
  public function getFirstActiveDomain();

}
