<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\Form\Domain.
 */

namespace Drupal\drd\Entity\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Language\Language;

/**
 * Form controller for Domain edit forms.
 *
 * @ingroup drd
 */
class Domain extends ContentEntityForm {
  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /* @var $entity \Drupal\drd\Entity\Domain */
    $form = parent::buildForm($form, $form_state);
    $entity = $this->entity;

    $form['langcode'] = [
      '#title' => $this->t('Language'),
      '#type' => 'language_select',
      '#default_value' => $entity->langcode->value,
      '#languages' => Language::STATE_ALL,
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;
    $status = $entity->save();
    drupal_set_message($this->t('Saved the %label Domain.', [
      '%label' => $entity->label(),
    ]));
    $form_state->setRedirect('entity.drd_domain.canonical', ['drd_domain' => $entity->id()]);
  }

}
