<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\Form\Major.
 */

namespace Drupal\drd\Entity\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for Major Version edit forms.
 *
 * @ingroup drd
 */
class Major extends ContentEntityForm {
  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /* @var $entity \Drupal\drd\Entity\Major */
    $form = parent::buildForm($form, $form_state);
    $entity = $this->entity;

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;
    $status = parent::save($form, $form_state);

    switch ($status) {
      case SAVED_NEW:
        drupal_set_message($this->t('Created the %label Major Version.', [
          '%label' => $entity->label(),
        ]));
        break;

      default:
        drupal_set_message($this->t('Saved the %label Major Version.', [
          '%label' => $entity->label(),
        ]));
    }
    $form_state->setRedirect('entity.drd_major.canonical', ['drd_major' => $entity->id()]);
  }

}
