<?php

/**
 * @file
 * Contains \Drupal\drd\Entity\ViewBuilder\Domain.
 */

namespace Drupal\drd\Entity\ViewBuilder;

/**
 * View builder handler for drd_domain.
 *
 * @ingroup drd
 */
class Domain extends Base {

  /**
   * {@inheritdoc}
   */
  public function buildComponents(array &$build, array $entities, array $displays, $view_mode) {
    parent::buildComponents($build, $entities, $displays, $view_mode);

    if ($displays['drd_domain']->getComponent('status_report')) {
      \Drupal::moduleHandler()->loadInclude('drd', 'install');
      /** @var \Drupal\drd\Entity\DomainInterface[] $entities */
      foreach ($entities as $id => $entity) {
        $requirements = $entity->getRequirements();
        if (empty($requirements)) {
          continue;
        }

        $build[$id]['status_report'] = [
          '#theme' => 'status_report',
          '#requirements' => $requirements,
        ];
      }
    }
  }

}
