<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\BaseCoreRemote.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\drd\Entity\CoreInterface;

/**
 * Base class for DRD Remote Core Action plugins.
 */
abstract class BaseCoreRemote extends BaseEntityRemote {

  /**
   * Default remote core action which can be overwritten by implementations.
   *
   * @param CoreInterface $core
   * @return array|bool
   */
  public function executeAction($core) {
    if (empty($core)) {
      return FALSE;
    }
    $domain = $core->getFirstActiveDomain();
    if (empty($domain)) {
      return FALSE;
    }

    return parent::executeAction($domain);
  }

}
