<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\BaseHost.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\Core\Session\AccountInterface;
use Drupal\drd\Entity\HostInterface;

/**
 * Base class for DRD Action plugins.
 */
abstract class BaseHost extends Base implements BaseEntityInterface {

  /**
   * Default remote core action which can be overwritten by implementations.
   *
   * @param HostInterface $host
   * @return array|bool
   */
  public function executeAction($host) {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function access($host, AccountInterface $account = NULL, $return_as_object = FALSE) {
    return TRUE;
  }

}
