<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Action\DnsLookup.
 */

namespace Drupal\drd\Plugin\Action;

use Drupal\Core\Annotation\Action;
use Drupal\Core\Annotation\Translation;

/**
 * Provides a 'DnsLookup' action.
 *
 * @Action(
 *  id = "drd_action_dnslookup",
 *  label = @Translation("DNS lookup for all domains"),
 *  type = "drd_host",
 * )
 */
class DnsLookup extends BaseHost {

  /**
   * @inheritdoc
   */
  public function executeAction($host) {
    $this->drdEntity = $host;
    $host->updateIpAddresses();
    return TRUE;
  }

}
