<?php

/**
 * @file
 * Contains \Drupal\drd\Plugin\Auth\BaseInterface.
 */

namespace Drupal\drd\Plugin\Auth;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\Core\Form\FormStateInterface;

/**
 * Defines an interface for DRD Auth plugins.
 */
interface BaseInterface extends PluginInspectionInterface {

  /**
   * @return bool
   */
  public function storeSettingRemotely();

  /**
   * @param array $form
   * @param array $condition
   */
  public function settingsForm(array &$form, array $condition);

  /**
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   * @return array
   */
  public function settingsFormValues(FormStateInterface $form_state);

}
