<?php

namespace Drupal\drd\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Url;

/**
 * Provides a 'WidgetDomains' block.
 *
 * @Block(
 *  id = "drd_domains",
 *  admin_label = @Translation("DRD Domains"),
 *  weight = -6,
 *  tags = {"drd_widget"},
 * )
 */
class WidgetDomains extends WidgetEntities {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];

    $message = $this->message('domain');
    $message .= t('<p>New domains will be automatically recognised from your cores when you execute the <strong>Receive all domains</strong> action in the <a href="@list">host list</a>.</p>',
      ['@list' => (new Url('entity.drd_host.collection'))->toString()]);

    $build['drd_domains']['#markup'] = $message;

    return $build;
  }

}
