<?php

namespace Drupal\drd\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Url;

abstract class WidgetEntities extends Base {

  protected function message($type) {
    $active = \Drupal::database()->select('drd_' . $type, 'h')
      ->condition('h.status', 1)
      ->countQuery()
      ->execute()
      ->fetchField();
    $inactive = \Drupal::database()->select('drd_' . $type, 'h')
      ->condition('h.status', 0)
      ->countQuery()
      ->execute()
      ->fetchField();

    $name = $this->t('Create another ' . $type);
    if ($active == 0) {
      $message = $this->t('You currently have no active ' . $type . ' in DRD!');
      $name = $this->t('Create your first ' . $type);
    }
    else {
      $message = $this->t('<p class="message">You have %count active ' . $type . 's.</p>', ['%count' => $active]);
      $message .= $this->t('<p>Get all the details in your <a href="@list">' . $type . ' list</a>.', ['@list' => (new Url('entity.drd_' . $type . '.collection'))->toString()]);
    }
    if ($inactive > 0) {
      $message = $this->t('<p>In addition, there are %count inactive ' . $type . 's available as well.</p>', ['%count' => $inactive]);
    }

    if ($type != 'domain') {
      $message .= '<p class="action"><span class="button">' . \Drupal::linkGenerator()
          ->generate($name, new Url('entity.drd_' . $type . '.add_form')) . '</span></p>';
    }

    return $message;
  }

}
