<?php

namespace Drupal\drd\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Url;

/**
 * Provides a 'WidgetIntro' block.
 *
 * @Block(
 *  id = "drd_intro",
 *  admin_label = @Translation("DRD Intro"),
 *  weight = -9,
 *  tags = {"drd_widget"},
 * )
 */
class WidgetIntro extends Base {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['drd_intro']['#markup'] = $this->t('
<h2>Intro</h2>
<p>Using <strong>Drupal Remote Dashboard</strong> is simple and the online 
  <a href="https://www.drupal.org/node/2839473">documentation</a> should help 
  you with the details.</p>
<p>This main dashboard provides you with an overview and points you the right
  direction for what you need to focus on.</p>
<p>Just getting started? <a href="@core_add">Add you first core</a> and follow 
  the instructions.</p>
', ['@core_add' => (new Url('entity.drd_core.add_form'))->toString()]);

    return $build;
  }

}
