<?php

namespace Drupal\drd\Plugin\Block;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Url;

/**
 * Provides a 'WidgetSupport' block.
 *
 * @Block(
 *  id = "drd_support",
 *  admin_label = @Translation("DRD Support"),
 *  weight = -2,
 *  tags = {"drd_widget"},
 * )
 */
class WidgetSupport extends Base {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['drd_support']['#markup'] = $this->t('
<h2>Support</h2>
<p>Before you reach out and ask questions, you may want to help yourself by
  enabling debug mode in the <a href="@settings">settings</a> and try again. You
  will then find more messages where ever your Drupal installations are logging
  watchdog messages, both here in DRD and also on your remote sites.</p>
<ul>
  <li><a href="https://www.drupal.org/project/issues/drd">Issue queue</a> on drupal.org</li>
  <li>Discussion on <a href="https://gitter.im/drupal-remote-dashboard/Lobby">Gitter</a></li>
</ul>
', ['@settings' => (new Url('drd.settings'))->toString()]);

    return $build;
  }

}
