<?php

namespace Drupal\drd;

use Drupal\Core\Form\FormStateInterface;
use Drupal\drd\Entity\BaseInterface;
use Drupal\system\ActionConfigEntityInterface;

/**
 * Interface RemoteActionsInterface.
 *
 * @package Drupal\drd
 */
interface RemoteActionsInterface {

  const MODE_HOST = 'drd_host';
  const MODE_CORE = 'drd_core';
  const MODE_DOMAIN = 'drd_domain';

  /**
   * @param string $mode
   * @return RemoteActionsInterface
   */
  public function setMode($mode);

  /**
   * @return ActionConfigEntityInterface
   */
  public function getSelectedAction();

  /**
   * @return int
   */
  public function getExecutedCount();

  /**
   * @param array $form
   * @param FormStateInterface $form_state
   * @param array $options
   */
  public function buildForm(&$form, FormStateInterface $form_state, $options = []);

  /**
   * @param $form
   * @param FormStateInterface $form_state
   * @return mixed
   */
  public function validateForm(&$form, FormStateInterface $form_state);

  /**
   * @param BaseInterface|BaseInterface[] $entities
   * @return RemoteActionsInterface
   */
  public function setSelectedEntities($entities);

  /**
   * @param array $form
   * @param FormStateInterface $form_state
   */
  public function submitForm(&$form, FormStateInterface $form_state);

}
